### Method

# Ggit IndexEntry set_path

#### Declaration [src]

    void
    ggit_index_entry_set_path (
      GgitIndexEntry* entry,
      const gchar* path
    )

#### Description [src]

Set the path of the index entry. The path should be relative to the working directory.

#### Parameters

`path`

  Type: `const gchar*`

  The path.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.